# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-haskell/gtk/gtk-0.12.3.1.ebuild,v 1.1 2012/11/25 06:04:14 gienah Exp $

EAPI=4

# ebuild generated by hackport 0.2.18.9999

#nocabaldep is for the fancy cabal-detection feature at build-time
CABAL_FEATURES="lib profile haddock hscolour hoogle nocabaldep"
inherit haskell-cabal

DESCRIPTION="Binding to the Gtk+ graphical user interface library."
HOMEPAGE="http://projects.haskell.org/gtk2hs/"
SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"

LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+gio"

RDEPEND=">=dev-haskell/cairo-0.12.0[profile?]
		<dev-haskell/cairo-0.13[profile?]
		>=dev-haskell/glib-0.12.0[profile?]
		<dev-haskell/glib-0.13[profile?]
		dev-haskell/mtl[profile?]
		>=dev-haskell/pango-0.12.0[profile?]
		<dev-haskell/pango-0.13[profile?]
		>=dev-lang/ghc-6.10.1
		dev-libs/glib:2
		x11-libs/gtk+:2
		gio? ( =dev-haskell/gio-0.12*[profile?] )"
DEPEND="${RDEPEND}
		>=dev-haskell/cabal-1.8
		dev-haskell/gtk2hs-buildtools"

src_prepare() {
	# c2hs ignores #if __GLASGOW_HASKELL__ >= 706
	# I do not know which earlier ghc versions the patch submitted upstream works with
	if has_version ">=dev-lang/ghc-7.6.1"; then
		epatch "${FILESDIR}/${PN}-0.12.3.1-ghc-7.6.patch"
	fi
}

src_configure() {
	# Upstream has this enabled, so we might as well force it enabled to be sure.
	cabal_src_configure \
		--flags=deprecated \
		$(cabal_flag gio have-gio)
}
